#
# spec file for package python-pycparser
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global python2 python
%global python3 python3
Name:           python-pycparser
Version:        2.10
Release:        5.8.1
License:        BSD-3-Clause
Summary:        C parser in Python
Url:            https://bitbucket.org/eliben/pycparser
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pycparser/pycparser-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
pycparser is a complete parser of the C language, written in pure Python using
the PLY parsing library. It parses C code into an AST and can serve as a
front-end for C compilers or analysis tools.

%prep
%setup -q -n pycparser-%{version}

%build
%python_build

%install
%python_install

%check
%python_expand %{$python} tests/all_tests.py

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst examples
%{python_sitelib}/*

%changelog
* Thu Dec 21 2017 mihai.dinca@suse.com
- build python3 subpackage (FATE#324435, bsc#1073879)
* Mon Aug 12 2013 speilicke@suse.com
- Update to version 2.10:
  - A number of improvements in the handling of typedef-name ambiguities,
    contributed by Sye van der Veen in GitHub issue #1:
  * Allow shadowing of types by identifiers in inner scopes.
  * Allow struct field names to reside in a separate namespace and have
    the same names as types.
  * Allow duplicate typedefs in some cases to mimic real compiler behavior.
  - c_generator error for ExprList in expression context.
  - Assume default int type for functions whose argument or return types were
    not specified.
  - Relax the lexer a bit w.r.t. some integer suffixes and $ in identifier names
    (which is supported by some other compilers).
- Package LICENSE
* Sat Apr 13 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two packages are not the same
* Wed Feb 27 2013 p.drouand@gmail.com
- Initial python3 support
* Sun Feb 10 2013 saschpe@suse.de
- Initial version
